#include "AbstractVisitor.h"

#include <iostream>
using namespace std;

namespace X3DTK {

AbstractVisitor::AbstractVisitor()
: X3DComponentVisitor()
{
  defineComponentName("Abstract", "Abstract");

  defineEnterFunction(&AbstractVisitor::enterX3DAbstractNode);
  defineWalkOnFunction(&AbstractVisitor::walkOnX3DAbstractNode);
  defineLeaveFunction(&AbstractVisitor::leaveX3DAbstractNode); 
}

void AbstractVisitor::enterX3DAbstractNode(SFAbstractNode)
{
}

bool AbstractVisitor::walkOnX3DAbstractNode(SFAbstractNode, SFAbstractNode)
{
  return true;
}

void AbstractVisitor::leaveX3DAbstractNode(SFAbstractNode)
{
}

}

